package net.cismon.urlshortener.dao

import net.cismon.urlshortener.model.AuthModel
import org.springframework.data.repository.CrudRepository
import org.springframework.transaction.annotation.Transactional

@Transactional
interface AuthDao : CrudRepository<AuthModel, Long> {
    fun findById(id: Long): AuthModel?
}