package net.cismon.urlshortener.helper

import net.cismon.urlshortener.wrapper.Respond
import org.springframework.stereotype.Component

@Component
class RespondError {
    private fun error(ec: Long, msg: String) = Respond(ec, msg)

    fun invalidUrl() = error(1, "Invalid URL")

    fun permissionDenied() = error(2, "Permission denied")
}